/*
File name : FHN_EEPROM_LIB.C
Author      : fhn
Date         : 07-Feb-2019
MCU        : Any AVR 
*/

#include <avr/eeprom.h>

//============================================================
uint16_t  EEPROM_ReadWord ( uint16_t location)
{
	return (eeprom_read_word ( (void *) location));
}
//============================================================
void EEPROM_ReadString ( int location, char *str, int length )
{
	eeprom_read_block((char *) str, (void *)location , length); 
}
//============================================================
void EEPROM_WriteWord ( uint16_t location, uint16_t value )
{
	eeprom_update_word ( (void *) location, value);
}
//============================================================
void EEPROM_WriteString ( int location, char *str, int length )
{
	eeprom_update_block((const char *) str, (void *)location , length); 
}
//============================================================
